Skip to main content
`Ctrl`+`K`

# PetscOptionsInsertArgs

Inserts options into the database from a array of strings

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsInsertArgs(PetscOptions options, int argc, char *args[])

Logically Collective

## Input Parameters

- options - options object

- argc - the array length

- args - the string array

## See Also

`PetscOptions`, `PetscOptionsInsertString()`, `PetscOptionsInsertFile()`

## Level

intermediate

## Location

src/sys/objects/options.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages